Interface JRQueryClauseContext


  • public interface JRQueryClauseContext
    A query clause handling context, as seen from a clause function.
    Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
    • Method Detail

      • queryBuffer

        java.lang.StringBuffer queryBuffer()
        Returns the query text buffer.
        Returns:
        the query text buffer
      • getValueParameter

        JRValueParameter getValueParameter​(java.lang.String parameterName)
        Return a value parameter from the report parameters map.
        Parameters:
        parameterName - the parameter name
        Returns:
        the parameter
      • addQueryParameter

        void addQueryParameter​(java.lang.String parameterName)
        Records a query parameter.
        Parameters:
        parameterName - the parameter name
      • addQueryMultiParameters

        void addQueryMultiParameters​(java.lang.String parameterName,
                                     int count)
        Records a multi-valued query parameter.
        Parameters:
        parameterName - the parameter name
        count - the value count
      • addQueryMultiParameters

        void addQueryMultiParameters​(java.lang.String parameterName,
                                     int count,
                                     boolean ignoreNulls)
        Records a multi-valued query parameter with null values to be ignored.
        Parameters:
        parameterName - the parameter name
        count - the value count
        ignoreNulls - flag that indicates whether the null values should be ignored
      • addQueryParameter

        void addQueryParameter​(java.lang.Class<?> type,
                               java.lang.Object value)
        Records a query parameter based on a provided value.
        Parameters:
        type - the parameter type if specified
        value - the parameter value
      • getJasperReportsContext

        JasperReportsContext getJasperReportsContext()
        Returns the JasperReportsContext associated with the current query execution.
        Returns:
        the current JasperReportsContext
      • getCanonicalQueryLanguage

        java.lang.String getCanonicalQueryLanguage()
        Returns a canonical query language for this query execution.

        The canonical language is used to retrieve extensions for the query executer.

        Returns:
        the canonical query language